org.optaplanner.core.impl.score.stream.drools.common

## Class DroolsAbstractConstraintStream<Solution_>

- java.lang.Object
- - org.optaplanner.core.impl.score.stream.common.AbstractConstraintStream<Solution_>
  - - org.optaplanner.core.impl.score.stream.drools.common.DroolsAbstractConstraintStream<Solution_>

- All Implemented Interfaces:
    ConstraintStream
  Direct Known Subclasses:
    DroolsAbstractBiConstraintStream, DroolsAbstractUniConstraintStream

      public abstract class DroolsAbstractConstraintStream<Solution_>
      extends AbstractConstraintStream<Solution_>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected DroolsConstraintFactory<Solution_>` | `constraintFactory`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DroolsAbstractConstraintStream(DroolsConstraintFactory<Solution_> constraintFactory)`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected DroolsConstraint<Solution_>` | `buildConstraint(String constraintPackage, String constraintName, Score<?> constraintWeight, boolean positive)`
    `protected DroolsConstraint<Solution_>` | `buildConstraintConfigurable(String constraintPackage, String constraintName, boolean positive)`
    `abstract void` | `createRuleItemBuilders(List<<any>> ruleItemBuilderList, <any> scoreHolderGlobal)`
    `DroolsConstraintFactory<Solution_>` | `getConstraintFactory()` The `ConstraintFactory` that build this.
    `abstract List<DroolsFromUniConstraintStream<Solution_,Object>>` | `getFromStreamList()`

    - ### Methods inherited from class org.optaplanner.core.impl.score.stream.common.AbstractConstraintStream

      `buildConstraintWeightExtractor, buildConstraintWeightExtractor, impactScore, impactScoreConfigurable, penalize, penalizeConfigurable, reward, rewardConfigurable, validateConstraintId`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.optaplanner.core.api.score.stream.ConstraintStream

      `penalize, penalizeConfigurable, reward, rewardConfigurable`

- - ### Field Detail

    - #### constraintFactory

          protected final DroolsConstraintFactory<Solution_> constraintFactory

  - ### Constructor Detail

    - #### DroolsAbstractConstraintStream

          public DroolsAbstractConstraintStream(DroolsConstraintFactory<Solution_> constraintFactory)

  - ### Method Detail

    - #### buildConstraint

          protected DroolsConstraint<Solution_> buildConstraint(String constraintPackage,
                                                                String constraintName,
                                                                Score<?> constraintWeight,
                                                                boolean positive)

    - #### buildConstraintConfigurable

          protected DroolsConstraint<Solution_> buildConstraintConfigurable(String constraintPackage,
                                                                            String constraintName,
                                                                            boolean positive)

    - #### getFromStreamList

          public abstract List<DroolsFromUniConstraintStream<Solution_,Object>> getFromStreamList()

    - #### createRuleItemBuilders

          public abstract void createRuleItemBuilders(List<<any>> ruleItemBuilderList,
                                                      <any> scoreHolderGlobal)

    - #### getConstraintFactory

          public DroolsConstraintFactory<Solution_> getConstraintFactory()

      Description copied from interface: `ConstraintStream`
      The `ConstraintFactory` that build this.
      Specified by:
        `getConstraintFactory` in interface `ConstraintStream`
      Specified by:
        `getConstraintFactory` in class `AbstractConstraintStream<Solution_>`
      Returns:
        never null

Copyright © 2006–2019 JBoss by Red Hat. All rights reserved.